<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" metadata-complete="true" version="3.0">
  <display-name>NLPHub</display-name>
  <welcome-file-list>
    <welcome-file>index.html</welcome-file>
    <welcome-file>index.htm</welcome-file>
    <welcome-file>index.jsp</welcome-file>
    <welcome-file>default.html</welcome-file>
    <welcome-file>default.htm</welcome-file>
    <welcome-file>default.jsp</welcome-file>
  </welcome-file-list>
  <servlet>
    <servlet-name>NLPServlet</servlet-name>
    <servlet-class>org.gcube.nlphub.NLPHub</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>NLPServlet</servlet-name>
    <url-pattern>/nlphub-servlet</url-pattern>
  </servlet-mapping>
  <servlet>
    <servlet-name>NLPUploader</servlet-name>
    <servlet-class>org.gcube.nlphub.NLPUploader</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>NLPUploader</servlet-name>
    <url-pattern>/nlphub-uploader-servlet</url-pattern>
  </servlet-mapping>
    <servlet>
    <servlet-name>NLPMapper</servlet-name>
    <servlet-class>org.gcube.nlphub.NLPMapper</servlet-class>
  </servlet>
    <servlet-mapping>
    <servlet-name>NLPMapper</servlet-name>
    <url-pattern>/nlphub-mapper-servlet</url-pattern>
  </servlet-mapping>
</web-app>